/*******************************************************************************
 * Copyright (C) 2008
 * by 52 North Initiative for Geospatial Open Source Software GmbH
 *
 * Contact: Andreas Wytzisk
 * 52 North Initiative for Geospatial Open Source Software GmbH
 * Martin-Luther-King-Weg 24
 * 48155 Muenster, Germany
 * info@52north.org
 *
 * This program is free software; you can redistribute and/or modify it under
 * the terms of the GNU General Public License version 2 as published by the
 * Free Software Foundation.
 *
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program (see gnu-gpl v2.txt). If not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA or
 * visit the Free Software Foundation web page, http://www.fsf.org.
 ******************************************************************************/

package org.n52.security.common.artifact;

/**
 * Represents a name-value attribute pair. It covers special attributes for different DCP types.
 *
 */
public interface TransferAttribute {

    String HTTP_REQUEST = "request.httpservletrequest";
    String HTTP_RESPONSE = "request.httpservletresponse";
    String HTTP_COOKIES = "request.cookies";

    /**
     * Name of an attribute that stores additional path info that was appended to the URL of the Enforcement Point. The
     * path info stored in this attribute is appended to the request URL of the protected service when it is requested.
     */
    String PATHINFO_ATTR = "request.pathinfo";
    String QUERY_STRING_ATTR = "request.querystring";
    String REQUEST_IP_ATTR = "request.ip";
    String LICENSE_REFERENCE = "extension.licensereference";
    String SERVICE_BASE_URL = "request.service.baseurl";
    String RESPONSE_STATUS_CODE = "response.status.code";
    String HTTP_AUTH_BASIC_USERNAME = "request.http.basic.username";
    String HTTP_AUTH_BASIC_PASSWORD = "request.http.basic.password";
    String ENFORCEMENTPOINT_ID = "request.enforcementpoint.id";

    String getName();

    Object getValue();
}
