/*******************************************************************************
 * Copyright (C) 2008
 * by 52 North Initiative for Geospatial Open Source Software GmbH
 *
 * Contact: Andreas Wytzisk
 * 52 North Initiative for Geospatial Open Source Software GmbH
 * Martin-Luther-King-Weg 24
 * 48155 Muenster, Germany
 * info@52north.org
 *
 * This program is free software; you can redistribute and/or modify it under
 * the terms of the GNU General Public License version 2 as published by the
 * Free Software Foundation.
 *
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program (see gnu-gpl v2.txt). If not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA or
 * visit the Free Software Foundation web page, http://www.fsf.org.
 *
 * Author: Marko Reiprecht
 * Created: 23.04.2008
 ******************************************************************************/
/* $Id: $ */
package org.n52.security.common.xml;

/**
 * Wraps the thrown SAXParser and IOExeptions as RuntimeExeptions,
 * so you can catch them in a higer level.
 *
 * @author Marko Reiprecht
 *         Created on 23.04.2008
 * @version $Revision: $
 */
public class DOMParserException extends RuntimeException {

    private static final long serialVersionUID = -1631565034403704797L;

    public DOMParserException(final String message) {
        super(message);
    }

    public DOMParserException(final Throwable cause) {
        super(cause);
    }

    public DOMParserException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
